SOURCES: PyICQt.init (NEW) - starting for Python ICQ Transport,

djrzulf djrzulf at pld-linux.org
Sun Aug 19 07:18:57 CEST 2007


Author: djrzulf                      Date: Sun Aug 19 05:18:57 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- starting for Python ICQ Transport,

---- Files affected:
SOURCES:
   PyICQt.init (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/PyICQt.init
diff -u /dev/null SOURCES/PyICQt.init:1.1
--- /dev/null	Sun Aug 19 07:18:57 2007
+++ SOURCES/PyICQt.init	Sun Aug 19 07:18:52 2007
@@ -0,0 +1,61 @@
+#!/bin/sh
+# Jabber ICQ transport
+#
+# chkconfig:	345 85 05
+# description:	Jabber ICQ transport
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+	if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+		msg_network_down pyICQt
+		exit 1
+	fi
+else
+	exit 0
+fi
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/PyICQt ]; then
+		msg_starting "Jabber ICQ transport"
+		daemon /usr/share/pyicqt/PyICQt.py -c /etc/jabber/PyICQt.xml
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/PyICQt
+	else
+		msg_already_running PyICQt
+	fi
+	;;
+  stop)
+	# Check if the service is already running?
+	if [ -f /var/lock/subsys/PyICQt ]; then
+		msg_stopping  "Jabber ICQ transport"
+		killproc --pidfile /var/run/PyICQt.pid PyICQt
+		rm -f /var/lock/subsys/PyICQt
+	else
+		msg_not_running PyICQt
+	fi
+	;;
+  restart|force-reload)
+	$0 stop
+	$0 start
+	exit $?
+	;;
+  status)
+	status PyICQt.py
+	exit $?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|force-reload|status}"
+	exit 3
+esac
+
+exit $RETVAL
================================================================


More information about the pld-cvs-commit mailing list